From faa624738fa1ce072c450d96c621748ddc1d831e Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue.dev@gmail.com>
Date: Sep 27 2024 14:22:48 +0000
Subject: Fix license program and validate licenses


Signed-off-by: Ryan Brue <ryanbrue.dev@gmail.com>

---

diff --git a/cosmic-packaging-tool/src/main.rs b/cosmic-packaging-tool/src/main.rs
index 525d139..633bc9b 100644
--- a/cosmic-packaging-tool/src/main.rs
+++ b/cosmic-packaging-tool/src/main.rs
@@ -227,10 +227,15 @@ fn update_licenses_command(
                         return None;
                     }
                     let repl_or = l.replace("/", " OR ");
-                    if repl_or.contains("OR") {
-                        Some(format!("({})", repl_or))
+                    let result = if repl_or.contains("OR") {
+                        format!("({})", repl_or)
                     } else {
-                        Some(repl_or)
+                        repl_or
+                    };
+                    if result.trim().is_empty() {
+                        None
+                    } else {
+                        Some(result.trim().to_string())
                     }
                 })
                 .collect::<HashSet<String>>()
@@ -238,7 +243,7 @@ fn update_licenses_command(
                 .collect::<Vec<String>>()
                 .join(" AND ");
             if let Some(packaging_dir) = packaging_dir.as_deref() {
-                if !license_result.is_empty() {
+                if !license_result.is_empty() && license_validate(&license_result)? {
                     homebrew_sed(
                         &package.package_dir(packaging_dir),
                         "License: ",
@@ -290,3 +295,21 @@ fn homebrew_sed(spec_path: &Path, search_prefix: &str, replacement: &str) -> any
     }
     Ok(())
 }
+
+fn license_validate(license: &str) -> anyhow::Result<bool> {
+    let out = Command::new("license-validate")
+        .arg("-v")
+        .arg(license)
+        .output()?;
+    let (stdout, stderr) = (
+        String::from_utf8(out.stdout)?,
+        String::from_utf8(out.stderr)?,
+    );
+    let passed_validation = stdout.starts_with("Approved license");
+    if passed_validation {
+        println!("License passed validation.");
+    } else {
+        eprintln!("License failed validation: {} {}", &stdout, &stderr);
+    }
+    Ok(passed_validation)
+}
diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 4f2e168..ee9b388 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -15,7 +15,7 @@ Version: ###
 Release:        %autorelease
 Summary:        App Library program for the COSMIC Desktop Environment
 
-License:        (MIT OR Apache-2.0 OR CC0-1.0) AND BSL-1.0 AND (Apache-2.0 OR MIT) AND MPL-2.0 AND MIT AND (MIT OR Apache-2.0) AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND (MIT OR Zlib OR Apache-2.0) AND BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND Apache-2.0 AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND BSD-2-Clause AND 
+License:        (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND BSL-1.0 AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND Apache-2.0 AND Unicode-3.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND (MIT OR Apache-2.0) AND CC0-1.0 AND MIT AND (Unlicense OR MIT) AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause
 
 URL:            https://github.com/pop-os/cosmic-applibrary
 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 3317f38..de23c91 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Applets for the COSMIC Desktop Environment
 
-License:        BSD-2-Clause AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND GPL-3.0-only AND GPL-3.0-or-later AND ISC AND Unicode-3.0 AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND Unlicense AND MPL-2.0 AND  AND MIT AND Apache-2.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND BSD-3-Clause AND (MIT OR Zlib OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND (Zlib OR Apache-2.0 OR MIT)
+License:        BSD-2-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND GPL-3.0-or-later AND Unicode-3.0 AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND MIT AND BSD-3-Clause AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND Apache-2.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Zlib OR Apache-2.0) AND Unlicense AND Zlib AND ISC AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND GPL-3.0-only
 
 URL:            https://github.com/pop-os/cosmic-applets
 
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 0456308..c7e22ad 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Background manager for the COSMIC Desktop Environment
 
-License:        (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND ISC AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND BSL-1.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND  AND BSD-3-Clause AND MPL-2.0 AND CC0-1.0
+License:        CC0-1.0 AND (Unlicense OR MIT) AND BSL-1.0 AND Apache-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MPL-2.0 AND ISC AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (0BSD OR MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0)
 
 URL:            https://github.com/pop-os/cosmic-bg
 
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 5791b7e..e6b98c3 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Compositor for the COSMIC Desktop Environment
 
-License:        (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND MIT AND (MIT OR Zlib OR Apache-2.0) AND Zlib AND BSD-2-Clause AND (BSD-3-Clause OR MIT OR Apache-2.0) AND GPL-3.0-only AND Apache-2.0 AND CC0-1.0 AND  AND ISC AND (Unlicense OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (0BSD OR MIT OR Apache-2.0) AND MPL-2.0 AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (MIT OR Apache-2.0 OR Zlib)
+License:        (0BSD OR MIT OR Apache-2.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND BSD-3-Clause AND GPL-3.0-only AND ISC AND (Zlib OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND Zlib AND (Apache-2.0 OR BSD-3-Clause) AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Unicode-3.0 AND BSD-2-Clause AND CC0-1.0 AND (Unlicense OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0)
 
 URL:            https://github.com/pop-os/cosmic-comp
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 40809c6..099f318 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -15,7 +15,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Libcosmic text editor
 
-License:        MIT AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND  AND (MIT OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND GPL-2.0-only AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND CC0-1.0 AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-only AND (MIT OR Apache-2.0 OR Zlib) AND BSD-2-Clause AND BSD-3-Clause AND (BSD-3-Clause OR MIT OR Apache-2.0) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND ISC AND Apache-2.0 AND Unicode-3.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (Apache-2.0  OR  MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0)
+License:        (0BSD OR MIT OR Apache-2.0) AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND MPL-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Zlib AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND Unicode-3.0 AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND GPL-2.0-only AND ISC AND Apache-2.0 AND CC0-1.0 AND GPL-3.0-only AND BSL-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0  OR  MIT) AND BSD-2-Clause AND BSD-3-Clause
 
 URL:            https://github.com/pop-os/cosmic-edit
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 1732e7e..aa377a5 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Libcosmic file manager
 
-License:        (BSD-2-Clause OR Apache-2.0 OR MIT) AND GPL-2.0-only AND CC0-1.0 AND BSD-2-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND  AND Apache-2.0 AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Unicode-3.0 AND (0BSD OR MIT OR Apache-2.0) AND BSL-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (Apache-2.0  OR  MIT) AND MIT AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND GPL-3.0-only AND Zlib
+License:        MIT AND GPL-3.0-only AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0  OR  MIT) AND BSD-2-Clause AND CC0-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND GPL-2.0-only AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSL-1.0 AND BSD-3-Clause AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND ISC
 
 URL:            https://github.com/pop-os/cosmic-files
 
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index ec54348..945afac 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -14,7 +14,7 @@ Release:        %autorelease
 # Release:        %%autorelease
 Summary:        Login and display manager for the COSMIC Desktop Environment
 
-License:        Zlib AND BSD-2-Clause AND (Unlicense OR MIT) AND BSL-1.0 AND (Apache-2.0 OR MIT) AND CC-PDDC AND GPL-3.0-only AND Unicode-3.0 AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND  AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND BSD-3-Clause AND ISC AND (0BSD OR MIT OR Apache-2.0) AND MIT AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND CC0-1.0 AND (Apache-2.0 OR BSL-1.0) AND MPL-2.0
+License:        ISC AND MPL-2.0 AND GPL-3.0-only AND (MIT OR Apache-2.0 OR CC0-1.0) AND BSL-1.0 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSD-2-Clause AND CC0-1.0 AND CC-PDDC AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND (Unlicense OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-greeter
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index ebf85f5..bc4f617 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Pop launcher frontend for the COSMIC Desktop Environment
 
-License:        BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR MIT) AND BSD-2-Clause AND CC0-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND Apache-2.0 WITH LLVM-exception AND MIT AND Unicode-3.0 AND (Apache-2.0  OR  MIT) AND (Unlicense OR MIT) AND MPL-2.0 AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND ISC AND (MIT OR Zlib OR Apache-2.0) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND  AND BSL-1.0 AND MIT AND BSD-3-Clause
+License:        Apache-2.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (MIT OR Apache-2.0) AND BSL-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND MIT AND BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0  OR  MIT) AND BSD-2-Clause AND (MIT OR Apache-2.0 OR Zlib) AND (MIT OR Zlib OR Apache-2.0) AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND CC0-1.0 AND ISC AND (0BSD OR MIT OR Apache-2.0) AND MIT AND (Apache-2.0 OR BSL-1.0) AND Zlib AND BSD-3-Clause
 
 URL:            https://github.com/pop-os/cosmic-launcher
 
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 500dbf4..487c977 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Notifications daemon for the COSMIC Desktop Environment
 
-License:        (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (Unlicense OR MIT) AND CC0-1.0 AND (Apache-2.0  OR  MIT) AND (MIT OR Apache-2.0) AND MPL-2.0 AND  AND (Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND (0BSD OR MIT OR Apache-2.0) AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR BSD-3-Clause) AND BSD-3-Clause AND (Apache-2.0 OR BSL-1.0) AND ISC AND MIT AND BSD-3-Clause AND Zlib AND (MIT OR Zlib OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
+License:        (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND Apache-2.0 AND MIT AND BSD-3-Clause AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND BSD-3-Clause AND (Apache-2.0  OR  MIT) AND CC0-1.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND Zlib AND MIT AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND ISC AND BSD-2-Clause AND BSL-1.0
 
 URL:            https://github.com/pop-os/cosmic-notifications
 
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index c163c56..03ef4fd 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        OSDs for the COSMIC Desktop Environment
 
-License:        BSD-3-Clause AND (Apache-2.0 OR MIT) AND  AND BSD-2-Clause AND BSL-1.0 AND MPL-2.0 AND (Unlicense OR MIT) AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR BSL-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND Unicode-3.0 AND GPL-3.0-or-later AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0)
+License:        (0BSD OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND BSD-3-Clause AND MIT AND ISC AND Unicode-3.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (MIT OR Apache-2.0) AND Zlib AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND GPL-3.0-or-later AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND Apache-2.0 AND CC0-1.0 AND (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (Apache-2.0 OR MIT)
 
 URL:            https://github.com/pop-os/cosmic-osd
 
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 22d8b33..18e1b39 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Panel for the COSMIC Desktop Environment
 
-License:         AND ISC AND CC0-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND MPL-2.0 AND BSD-2-Clause AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MIT AND (Unlicense OR MIT) AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND BSD-3-Clause
+License:        BSD-2-Clause AND ISC AND (Unlicense OR MIT) AND Zlib AND BSL-1.0 AND Apache-2.0 AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR BSD-3-Clause) AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MPL-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND CC0-1.0 AND (0BSD OR MIT OR Apache-2.0)
 
 URL:            https://github.com/pop-os/cosmic-panel
 
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 0602e4d..4f8c1ee 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Display configuration command line tool
 
-License:        Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND GPL-3.0-only AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND  AND (MIT OR Zlib OR Apache-2.0) AND ISC AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND MIT AND Zlib AND MPL-2.0
+License:        (MIT OR Apache-2.0) AND MPL-2.0 AND (0BSD OR MIT OR Apache-2.0) AND Zlib AND ISC AND (Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND GPL-3.0-only AND MIT AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Apache-2.0
 
 URL:            https://github.com/pop-os/cosmic-randr
 
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index ea43bfd..0d4255d 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Screenshot utility for the COSMIC Desktop Environment
 
-License:         AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR Zlib) AND (0BSD OR MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MIT AND (MIT OR Apache-2.0) AND MPL-2.0 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)
+License:        BSD-3-Clause AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND MPL-2.0
 
 URL:            https://github.com/pop-os/cosmic-screenshot
 
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index e3e86a4..1b91e06 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Session manager for the COSMIC desktop environment
 
-License:         AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND Zlib AND GPL-3.0-only AND MPL-2.0 AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (MIT OR Apache-2.0)
+License:        (MIT OR Apache-2.0) AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-only AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND MIT AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND Apache-2.0 AND (Apache-2.0 OR BSD-3-Clause) AND MPL-2.0
 
 URL:            https://github.com/pop-os/cosmic-session
 
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index c051982..b9032b9 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Settings daemon for the COSMIC Desktop Environment
 
-License:        ISC AND GPL-3.0-or-later AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND MPL-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSD-3-Clause AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND BSD-2-Clause AND Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND Zlib AND (MIT OR Apache-2.0 OR Zlib) AND (Zlib OR Apache-2.0 OR MIT) AND  AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND CC0-1.0 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
+License:        Zlib AND (Unlicense OR MIT) AND GPL-3.0-or-later AND MPL-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-3-Clause AND BSD-2-Clause AND ISC AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND CC0-1.0 AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND MIT AND Apache-2.0
 
 URL:            https://github.com/pop-os/cosmic-settings-daemon
 
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index c6f5268..36377a8 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -15,7 +15,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Settings app for the COSMIC Desktop Environment
 
-License:        (Apache-2.0  OR  MIT) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND Unlicense AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND GPL-3.0-only AND Unicode-3.0 AND (CC0-1.0 OR Apache-2.0) AND ISC AND BSL-1.0 AND (MIT OR Apache-2.0 OR NCSA) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0 OR BSL-1.0) AND  AND MIT AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND MPL-2.0 AND BSD-2-Clause AND BSD-3-Clause
+License:        (MIT OR Apache-2.0 OR CC0-1.0) AND (Unlicense OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (CC0-1.0 OR Apache-2.0) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0  OR  MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND MPL-2.0 AND GPL-3.0-only AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND Unicode-3.0 AND (0BSD OR MIT OR Apache-2.0) AND BSD-2-Clause AND Apache-2.0 AND CC0-1.0 AND (MIT OR Apache-2.0 OR NCSA) AND Unlicense AND MIT AND BSL-1.0 AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
 
 URL:            https://github.com/pop-os/cosmic-settings
 
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index fab8961..b253d2c 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        App store for the COSMIC Desktop Environment
 
-License:        Apache-2.0 AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (Apache-2.0 OR ISC OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND BSD-3-Clause AND MPL-2.0 AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0  OR  MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND ISC AND  AND Zlib AND BSD-2-Clause AND BSL-1.0 AND CC0-1.0 AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0)
+License:        (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND (Apache-2.0  OR  MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) AND Zlib AND BSL-1.0 AND (Apache-2.0 OR BSL-1.0) AND MPL-2.0 AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (Apache-2.0 OR ISC OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND MIT AND Unicode-3.0
 
 URL:            https://github.com/pop-os/cosmic-store
 
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 739b0d2..b60f4cc 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -15,7 +15,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Terminal emulator built with alacritty and Libcosmic
 
-License:        BSL-1.0 AND Apache-2.0 AND BSD-3-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0  OR  MIT) AND MPL-2.0 AND Unicode-3.0 AND GPL-2.0-only AND (Unlicense OR MIT) AND (Apache-2.0 OR MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND ISC AND MIT AND  AND (0BSD OR MIT OR Apache-2.0) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND CC0-1.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND GPL-3.0-only AND (MIT OR Zlib OR Apache-2.0) AND BSD-2-Clause
+License:        CC0-1.0 AND (Unlicense OR MIT) AND MIT AND (Apache-2.0  OR  MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND GPL-2.0-only AND MPL-2.0 AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND BSD-2-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSL-1.0 AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND BSD-3-Clause AND GPL-3.0-only AND Apache-2.0
 
 URL:            https://github.com/pop-os/cosmic-term
 
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index a8ac6fd..c3a6e38 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Workspaces overview for the COSMIC Desktop Environment
 
-License:        (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND Unicode-3.0 AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (MIT OR Apache-2.0) AND BSL-1.0 AND ISC AND (Apache-2.0 OR MIT) AND CC0-1.0 AND MIT AND MPL-2.0 AND (0BSD OR MIT OR Apache-2.0) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND Apache-2.0 AND  AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (MIT OR Apache-2.0 OR Zlib)
+License:        CC0-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Unicode-3.0 AND MIT AND (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND ISC AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND BSL-1.0 AND (MIT OR Apache-2.0) AND Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND Zlib
 
 URL:            https://github.com/pop-os/cosmic-workspaces-epoch
 
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 2967f34..a04a5f1 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -13,7 +13,7 @@ Version: ###
 Release:        %autorelease
 Summary:        Modular IPC-based desktop launcher service
 
-License:        Apache-2.0 WITH LLVM-exception AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND GPL-3.0-only AND Apache-2.0 AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND MPL-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0  OR  MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Zlib AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND 
+License:        Apache-2.0 WITH LLVM-exception AND (Unlicense OR MIT) AND MIT AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0  OR  MIT) AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-only AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND BSD-3-Clause AND ISC AND MPL-2.0 AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT)
 
 URL:            https://github.com/pop-os/launcher
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index bf6e47c..c439c05 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -16,7 +16,7 @@ Version: ###
 Release:        %autorelease
 Summary:        XDG Desktop Portals for the COSMIC Desktop Environment
 
-License:        GPL-2.0-only AND BSL-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-or-later AND (MIT OR Apache-2.0 OR CC0-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND Unicode-3.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND  AND GPL-3.0-only AND (MIT OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND MIT AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR NCSA) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR Zlib) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (CC0-1.0 OR Apache-2.0) AND MPL-2.0 AND Apache-2.0 WITH LLVM-exception AND BSD-2-Clause AND (Apache-2.0  OR  MIT) AND Apache-2.0 AND CC0-1.0
+License:        (CC0-1.0 OR Apache-2.0) AND Apache-2.0 AND MIT AND Zlib AND MPL-2.0 AND (Apache-2.0  OR  MIT) AND BSD-3-Clause AND GPL-3.0-only AND GPL-2.0-only AND Apache-2.0 WITH LLVM-exception AND (MIT OR Apache-2.0 OR NCSA) AND (Apache-2.0 OR MIT) AND ISC AND Unicode-3.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND BSD-2-Clause AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND CC0-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND GPL-3.0-or-later AND (MIT OR Apache-2.0 OR Zlib) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (Unlicense OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0)
 
 URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
 

